Loading...
Searching...
No Matches
algorithm.hh File Reference
`#include <version>`
`#include <algorithm>`
`#include <compare>`
`#include <type_traits>`
`#include <dune/common/std/compare.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::Std
| Namespace for features backported from new C++ standards.

## Functions

template<class I1, class I2, class Cmp = Std::compare_three_way>
constexpr auto | Dune::Std::lexicographical_compare_three_way (I1 f1, I1 l1, I2 f2, I2 l2, Cmp comp={}) -> decltype(comp(*f1, *f2))
| Lexicographically compares two ranges [first1, last1) and [first2, last2) using three-way comparison and produces a result of the strongest applicable comparison category type.